## cjdns-22-1.src.tar.gz

=== node_build/dependencies/libuv/samples/socks5-proxy/Makefile ===
# Copyright StrongLoop, Inc. All rights reserved.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

BUILDTYPE ?= Debug
BUILDDIR ?= build
GYP ?= gyp
V ?=

SOURCES := client.c defs.h getopt.c main.c s5.c s5.h server.c util.c

.PHONY: all clean

all: $(BUILDDIR)/$(BUILDTYPE)/s5-proxy

clean:
	$(RM) $(BUILDDIR)

$(BUILDDIR)/$(BUILDTYPE)/s5-proxy: $(BUILDDIR)/Makefile $(SOURCES)
	$(MAKE) -C $(BUILDDIR) V=$(V)

$(BUILDDIR)/Makefile: ../../common.gypi build.gyp
	$(GYP)	\
		-Dlibrary=static_library \
		-Goutput_dir=. \
		-I../../common.gypi \
		-f make \
		--depth=. \
		--generator-output=$(BUILDDIR) \
		build.gyp

=== debian/changelog ===
cjdns (0.20) unstable; urgency=low

  * New upstream release.
  * Provide dbgsym package.
  * Fix install of cjdns-resume.service.

 -- Valentin Lorentz <progval+deb@progval.net>  Sun, 11 Jun 2017 11:49:00 +0200

cjdns (0.17.1) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Mon, 01 Dec 2015 15:25:41 +0200

cjdns (0.12) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Mon, 15 Dec 2014 04:21:39 +0300

cjdns (0.7) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Tue, 06 May 2014 13:25:49 +0400

cjdns (0.6) unstable; urgency=low

  * New upstream release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Tue, 21 Jan 2014 00:53:59 +0400

cjdns (0.0.1) unstable; urgency=low

  * Initial Release.

 -- Sergey "Shnatsel" Davidoff <shnatsel@gmail.com>  Sat, 27 Apr 2013 22:56:48 +0400

=== PKGBUILD ===
# Maintainer: Levente Polyak <anthraxx[at]archlinux[dot]org>
# Maintainer: kpcyrd <kpcyrd[at]archlinux[dot]org>
# Contributor: Kevin MacMartin <prurigro@gmail.com>
# Contributor: openfbt
# Contributor: Werecat
# Contributor: Xyne

pkgname=cjdns
pkgver=22
pkgrel=1
pkgdesc='Routing engine designed for security, scalability, speed and ease of use'
url='https://github.com/cjdelisle/cjdns'
arch=('x86_64')
license=('GPL3')
depends=('glibc' 'sh')
optdepends=('nodejs: optional utilities support')
makedepends=('nodejs' 'python' 'libseccomp' 'util-linux' 'which' 'audit' 'rust' 'linux-headers')
install=cjdns.install
source=(${pkgname}-${pkgver}.tar.gz::https://github.com/cjdelisle/${pkgname}/archive/cjdns-v${pkgver}.tar.gz)
sha512sums=('fd22ae084edf174052b2683fc5591aeb036791b1a710f49d57cab475b1fdc7e7a2d4fcc3482d5fd401e15b8fef49a8985bea93a4b5a192c62b31647c4667b610')
b2sums=('06bd852cd22e93eea9f215409253270f0ba1e781a50d2c333f14c1ddac3eec4f93c02c93cb55adca26b76aab1586d85a3e559aa250ce0ddbf8ee2d6ca134b4c8')

build() {
  cd ${pkgname}-${pkgname}-v${pkgver}
  export CROSS="true"
  export CJDNS_RELEASE_VERSION="${pkgver}"
  "./cross-do"
}

package() {
  cd ${pkgname}-${pkgname}-v${pkgver}
  install -Dm 755 cjdroute -t "${pkgdir}/usr/bin"
  install -Dm 644 contrib/systemd/{cjdns,cjdns-resume}.service \
    -t "${pkgdir}/usr/lib/systemd/system"
  install -Dm 644 doc/man/cjdroute.conf.5 -t "${pkgdir}/usr/share/man/man5"
  install -Dm 644 -t "${pkgdir}/usr/share/doc/${pkgname}" \
    README.md \
    doc/admin-api.md \
    doc/configure.md \
    doc/djc_layer_model.md \
    doc/nat-gateway.md \
    doc/network-services.md \
    doc/non-root-user.md \
    doc/security_specification.md \
    doc/shorewall_and_vpn_gateway_howto.md \
    doc/tunnel.md
  cp -a tools "${pkgdir}/usr/lib/${pkgname}"
  cp -a node_modules "${pkgdir}/usr/lib/${pkgname}/node_modules"
}

# vim: ts=2 sw=2 et:

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python2 --with systemd

override_dh_auto_configure:
	debian/do-wrapper

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbgsym-migration='cjdns-dbg (<< 0.20~)'

override_dh_auto_install:
	dh_auto_install --destdir=debian/cjdns

override_dh_installinit:
	dh_installinit --name=cjdns
	dh_installinit --name=cjdns-resume
